Subject: bug#61667: 29.0.60; Failure to redisplay

From: "Dmitry Gutov" <[email-masked]>
Date: Sun, 16 Apr 2023 20:14:24 +0300

On Sun, Apr 16, 2023, at 7:17 PM, Eli Zaretskii wrote:
> > Date: Sun, 16 Apr 2023 16:08:26 +0300
> > Cc: [email-masked], [email-masked], [email-masked]
> > From: Dmitry Gutov <[email-masked]>
> > 
> > 1. 'emacs -Q', disable stuff.
> > 2. 'C-x p f', visit lisp/emacs-lisp/smie.el.
> > 3. Search for something rare using 'C-x p g' (e.g. for "Coq-specific", 
> > but not necessarily).
> > 4. Press 'q' to exit the search.
> 
> There's something missing in these steps, or maybe you assume some
> setup that I don't have here.  For step 2, what do you mean by
> "lisp/emacs-lisp/smie.el"?  "C-x p f" prompts for input, what do I
> type at the prompt?
You use 'C-x p f' to visit smie.el, sp type either its base or the full relative name. It's probably not important how you visit it, might as well use 'C-x C-f' instead.
> Step 3 yields "no matches" here, although I
> definitely see "Coq-specific" in smie.el, so what gives?
'C-x p g' doesn't find any matches for this input? That's odd.